<div class="mx-auto w-75 mt-5">
  <div class="card">
      <div class="card-header">
          <h1 class="card-title">Register</h1>
      </div>
      <div class="card-body">
          <form (ngSubmit)="register()">
              <p class="text-danger" *ngIf="hasError">Invalid credentials</p>
              <div class="mb-3">
                <label for="name" class="form-label">Name</label>
                <input name="name" [(ngModel)]="name" type="name" class="form-control" id="name">
            </div>
              <div class="mb-3">
                  <label for="email" class="form-label">Email address</label>
                  <input name="email" [(ngModel)]="email" type="email" class="form-control" id="email">
              </div>
              <div class="mb-3">
                  <label for="password" class="form-label">Password</label>
                  <input name="password" [(ngModel)]="password" type="password" class="form-control" id="password">
              </div>
              <div class="mb-3">
                  <label for="passwordRepeat" class="form-label">Repeat Password</label>
                  <input name="passwordRepeat" [(ngModel)]="passwordRepeat" type="password" class="form-control" id="passwordRepeat">
                  <p class="text-danger" *ngIf="password !== passwordRepeat">Passwords does not match</p>

              </div>
              <button type="submit" class="btn btn-primary" [disabled]="password !== passwordRepeat">Submit</button>
          </form>
          <a routerLink="/login" class="card-link">Already an Account / Sign In!</a>
      </div>

  </div>
</div>
